<?php

/**
 * The front-end functionality.
 *
 * PHP version 5
 *
 * @category  CMSimple_XH
 * @package   Realblog
 * @author    Jan Kanters <jan.kanters@telenet.be>
 * @author    Gert Ebersbach <mail@ge-webdesign.de>
 * @author    Christoph M. Becker <cmbecker69@gmx.de>
 * @copyright 2006-2010 Jan Kanters
 * @copyright 2010-2014 Gert Ebersbach <http://ge-webdesign.de/>
 * @copyright 2014 Christoph M. Becker <http://3-magi.net/>
 * @license   http://www.gnu.org/licenses/gpl-3.0.en.html GNU GPLv3
 * @version   SVN: $Id: index.php 151 2014-10-03 19:36:26Z cmb $
 * @link      http://3-magi.net/?CMSimple_XH/Realblog_XH
 */

/*
 * Prevent direct access and usage from unsupported CMSimple_XH versions.
 */
if (!defined('CMSIMPLE_XH_VERSION')
    || strpos(CMSIMPLE_XH_VERSION, 'CMSimple_XH') !== 0
    || version_compare(CMSIMPLE_XH_VERSION, 'CMSimple_XH 1.6', 'lt')
) {
    header('HTTP/1.1 403 Forbidden');
    header('Content-Type: text/plain; charset=UTF-8');
    die(<<<EOT
Realblog_XH detected an unsupported CMSimple_XH version.
Uninstall Realblog_XH or upgrade to a supported CMSimple_XH version!
EOT
    );
}

//////////////////////////////////////////////// HISTORIC LICENSE SECTION START
/*
************************************
RealBlog plugin for CMSimple
RealBlog v2.8
released 2014-05-11
Gert Ebersbach - http://www.ge-webdesign.de
------------------------------------
Based on:  AdvancedNews from Jan Kanters - http://www.jat-at-home.be/
Version :  V 1.0.5 GPL
------------------------------------
Credits :  - flatfile database class Copyright 2005 Luke Plant
             <L.Plant.98@cantab.net>
           - FCKEditor (older versions) and TinyMCE
           - Date Picker (jscalendar) by Copyright (c) Dynarch.com
License :  GNU General Public License, version 2 or later of your choice
************************************

This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License.
This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE. See the GNU General Public License for more details.
You should have received a copy of the GNU General Public License along with
this program; if not, see <http://www.gnu.org/licenses>.
*/
////////////////////////////////////////////////// HISTORIC LICENSE SECTION END

/**
 * General utility functions.
 */
require_once $pth['folder']['plugin'] . 'functions.php';

/**
 * The presentation layer.
 */
require_once $pth['folder']['plugin_classes'] . 'Presentation.php';

/**
 * Backward compatibility.
 */
require_once $pth['folder']['plugin'] . 'compat.php';

/**
 * The plugin version.
 */
define('REALBLOG_VERSION', '3.0beta5');

/*
 * Auto publish articles.
 */
if ($plugin_cf['realblog']['auto_publish']) {
    Realblog_autoPublish();
}

/*
 * Auto archive articles.
 */
if ($plugin_cf['realblog']['auto_archive']) {
    Realblog_autoArchive();
}

/*
 * Write alternate RSS link to head element.
 */
if ($plugin_cf['realblog']['rss_enabled']) {
    $hjs .= tag(
        'link rel="alternate" type="application/rss+xml"'
        . ' href="./?realblog_feed=rss"'
    );
}

/*
 * Deliver RSS feed.
 */
if ($plugin_cf['realblog']['rss_enabled']
    && isset($_GET['realblog_feed']) && $_GET['realblog_feed'] == 'rss'
) {
    Realblog_deliverFeed();
}

?>
